Bug 250283 - SELinux Policy Changed Needed to Make Brother Printers Work
SELinux Policy Changed Needed to Make Brother Printers Work
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-31 12:43 EDT by Richi Plana
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 13:08:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richi Plana 2007-07-31 12:43:57 EDT
Description of problem:
SELinux prevents CUPS from accessing the Brother printer (Brother MFC 420CN, in
my case) drivers.

Version-Release number of selected component (if applicable):
cups-1.2.12-1.fc7
selinux-policy-targeted-2.6.4-29.fc7
cupswrapperMFC420CN-1.0.0-1.i386.rpm
MFC420CNlpr-1.0.2-1.i386.rpm

According to the Brother website
(http://solutions.brother.com/linux/sol/printer/linux/linux_faq-2.html#30),
certain policies must be applied. From experience, the only change to the policy
that needs to be added is:

/usr/local/Brother/lpd/.* -- system_u:object_r:cupsd_exec_t:s0

Apparently there already exists the ff. policy in selinux-policy-targeted:

/usr/local/Brother/inf(/.*)?    system_u:object_r:cupsd_rw_etc_t:s0

It seems that restorecon has to be executed on those subdirectories even after
their RPM packages have been installed. I'm not sure if this is something the
package manager should do, or if it should be automatic as those files and
subdirectories are created.
Comment 1 Richi Plana 2007-08-03 17:18:42 EDT
I noticed a fix was put in in selinux-policy-targeted-2.6.4-30.fc7 ... perhaps
this bug should be reclassified ON_QA or RESOLVED
Comment 2 Daniel Walsh 2007-09-12 13:08:29 EDT
Moving modified bugs to closed

Note You need to log in before you can comment on or make changes to this bug.